| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
thread_priority.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`

Go to the source code of this file.

## Functions
UHD_API uhd_error | uhd_set_thread_priority (float priority, bool realtime)

## Function Documentation

## ◆ uhd_set_thread_priority()

UHD_API uhd_error uhd_set_thread_priority | ( | float | priority,
|  | bool | realtime )

Set the scheduling priority on the current thread.

A new thread or calling process should make this call with the defaults this to enable realtime scheduling.

A priority of zero corresponds to normal priority. Positive priority values are higher than normal. Negative priority values are lower than normal.

Parameters

  priority | a value between -1 and 1
  realtime | true to use realtime mode

Returns
  UHD error code